#include <Esplora.h>

void setup() {
  while (!Serial);
  Serial.begin(9600);
}

void loop() {
  if (Serial.available())
    parseCommand();
  printSensorData();
  delay(200);
}

void parseCommand() {
  char cmd = Serial.read();
  switch (cmd) {
    case 'R': setRed();   break;
    case 'G': setGreen(); break;
    case 'B': setBlue();  break;
    case 'T': setTone();  break;
  }
}

void printSensorData() {  
  Serial.print(Esplora.readButton(SWITCH_1)); 
  Serial.print(',');
  Serial.print(Esplora.readButton(SWITCH_2)); 
  Serial.print(',');
  Serial.print(Esplora.readButton(SWITCH_3)); 
  Serial.print(',');
  Serial.print(Esplora.readButton(SWITCH_4)); 
  Serial.print(',');
  Serial.print(Esplora.readSlider());         
  Serial.print(',');
  Serial.print(Esplora.readLightSensor());    
  Serial.print(',');
  Serial.print(Esplora.readTemperature(DEGREES_C)); 
  Serial.print(',');
  Serial.print(Esplora.readMicrophone());     
  Serial.print(',');
  Serial.print(Esplora.readJoystickSwitch()); 
  Serial.print(',');
  Serial.print(Esplora.readJoystickX());      
  Serial.print(',');
  Serial.print(Esplora.readJoystickY());      
  Serial.print(',');
  Serial.print(Esplora.readAccelerometer(X_AXIS)); 
  Serial.print(',');
  Serial.print(Esplora.readAccelerometer(Y_AXIS)); 
  Serial.print(',');
  Serial.print(Esplora.readAccelerometer(Z_AXIS)); 
  Serial.println();
}

void setRed() {
  Esplora.writeRed(Serial.parseInt());
}

void setGreen() {
  Esplora.writeGreen(Serial.parseInt());
}

void setBlue() {
  Esplora.writeBlue(Serial.parseInt());
}

void setTone() {
  Esplora.tone(Serial.parseInt());
}
